Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "ffb59d8a-7931-4e74-84a6-1428f4d67d1f",
"estimated_quantity": 2.0,
"article_id": "9d7cfe57-50c8-425a-9675-029c2663bcaf",
"article_code": "sample string 4",
"article": {
"id": "5f76bace-5792-4b02-b5db-e6259e4a9c8a",
"article_category_id": "8348d046-ba26-42b1-891e-7f37531331f4",
"article_category": {
"id": "3f41de9c-c7c6-4594-8452-93a3b74998c9",
"parent_id": "33f7ab64-3397-4619-8780-abf5f247bfc4",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "b369adb5-98c1-4ed5-81e2-5a7b411cf8c8",
"article_group_1_code": "sample string 5",
"article_group_2_id": "7153dc5a-6e00-43f3-b3be-2656883252b8",
"article_group_2_code": "sample string 7",
"article_group_3_id": "9e3f4219-73ee-4ddb-8180-57f8e68875cd",
"article_group_3_code": "sample string 9",
"article_group_4_id": "b6b54c95-8768-4d67-8ce2-e41ed2981e6c",
"article_group_4_code": "sample string 11",
"article_group_5_id": "db666712-8146-4aeb-b10a-92c25ae75ec4",
"article_group_5_code": "sample string 13",
"article_group_6_id": "6c1d37c5-dd2a-47de-8d6b-676ea8cbcef8",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-16T09:25:34.7731163+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-16T09:25:34.7731163+00:00",
"date_update": "2026-11-16T09:25:34.7731163+00:00",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00",
"article_color_id": "53128383-83b0-4db8-a24d-3fbd3b6b578e",
"article_color_code": "sample string 38",
"article_color": {
"id": "a64f84d0-a80d-43b1-84ea-67672c9828d1",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "6d104992-a472-44f0-a3ae-a470361c463e",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "1b372dbf-d587-4991-afe6-e40339a8fee3",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "afa4d660-94fe-4a56-a08a-ebb45640e9a6",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "f5b2fd00-534c-46ef-a30d-840b336f015e",
"_parent_id": "0e009c53-0e88-4d74-bd2e-2e9034c3e362",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "e0493a0d-a178-4d4c-955a-4f268cc3c3ab",
"project_reference_back_office": "sample string 5",
"project": {
"id": "73c9e0c9-aa40-40a2-a18d-71da97136db9",
"_parent_id": "98b51b92-f775-4dab-a1e4-322c46ffbdc3",
"root_parent_id": "0f0be12d-e01d-4e44-9574-8cc1cc33e46f",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "e7e16b83-54d2-4643-b651-7741feecc3e2",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "fadeda99-4e05-4f79-afd0-bfe494d5bb13",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ed5bbb3d-8dcd-43de-82b1-7da401a91234",
"_parent_code": "sample string 6",
"sales_organization_id": "5150b6ba-b575-4a79-afd6-a0c9cff25440",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"equipment_model_id": "75fa0ca5-5eed-4ffc-b302-b3a495053034",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "fafc1fdf-e9ee-4455-b9b5-f46c79a69946",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "aa346e4c-4f50-4fa4-b979-42fb85ba79b3",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "1c5de13c-53e2-442f-90fc-eeefdfcdc1da",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "ab63bdd6-74d6-44c9-ad6a-888dd5a2f622",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"equipment_family_id": "180ed1e7-ea6b-44a1-9533-34a5c1b4df60",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "fadeda99-4e05-4f79-afd0-bfe494d5bb13",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ed5bbb3d-8dcd-43de-82b1-7da401a91234",
"_parent_code": "sample string 6",
"sales_organization_id": "5150b6ba-b575-4a79-afd6-a0c9cff25440",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"date_in_production_since": "2026-11-16T09:25:34.7731163+00:00",
"date_out_of_production_since": "2026-11-16T09:25:34.7731163+00:00",
"date_end_support": "2026-11-16T09:25:34.7731163+00:00",
"sales_organization_id": "730e448e-0389-421f-925a-76c2cc615321",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"project_status_id": "8d34ed44-7d24-44ce-9027-3dd04996b29b",
"project_status_code": "sample string 10",
"project_status": {
"id": "766d9e83-ce6d-4add-8c9c-710b6a07cfb1",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "12f24779-77dd-4c30-b4f8-473c9110f8a6",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"company_id": "1e935248-1b40-484e-a600-d03400003f6e",
"company_code": "sample string 12",
"db_address_id": "e358e5a8-1db1-4a7c-a5c0-5cb11306ad80",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "880606e8-dc30-4de4-93ac-63a000d843df",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "73810822-f981-47dc-a1d2-bee4363f4309",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-16T09:25:34.7731163+00:00",
"date_create": "2026-11-16T09:25:34.7731163+00:00",
"date_update": "2026-11-16T09:25:34.7731163+00:00",
"updated_by_user_id": "be2bd4b3-91a9-42dd-b2b2-7a9e19c14cd4",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-16T09:25:34.7731163+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-16T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-16T09:25:34.7920398+00:00",
"date_last_job": "2026-11-16T09:25:34.7920398+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-16T09:25:34.7920398+00:00",
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00",
"is_mobile_installation": true
},
"job_type_id": "79961e70-eae6-426b-b734-951139f43611",
"job_type_code": "sample string 7",
"job_type": {
"id": "aeeedb48-b2e9-48e0-9398-0b2e5d3ddb2b",
"name": "sample string 2",
"sales_organization_id": "4d5069ce-517f-4825-b2a3-edf4d76ee886",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00",
"code": "sample string 7"
},
"job_priority_id": "b098515a-7f0c-4ea1-a7e7-48cef60b6cdd",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "772378f1-6b2d-4571-9965-de1cf70acb70",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "ae192a57-258f-4213-9f38-3cf562a9b928",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00"
},
"job_status_id": "b2db3955-4c0d-428f-a177-d9e5f8598908",
"job_status_code": "sample string 11",
"db_address_id": "c23c6892-ad9e-4411-9388-f896bed87f32",
"contact_id": "bb547ff2-1e57-4605-a546-20a06574d59f",
"requested_by_company_id": "b0d8a2ea-2cfa-4a51-93bd-888e4fb36044",
"requested_by_contact_id": "b3ad95f8-5d96-4594-a0d4-15821e769d7a",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-16T09:25:34.7920398+00:00",
"due_date": "2026-11-16T09:25:34.7920398+00:00",
"date_create": "2026-11-16T09:25:34.7920398+00:00",
"date_update": "2026-11-16T09:25:34.7920398+00:00",
"date_closed": "2026-11-16T09:25:34.7920398+00:00",
"suggested_user_id": "1e30406f-136c-496d-8ee4-47b683c95e71",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "f5b2ec8f-d584-4f29-bb56-2589688a77f2",
"db_language_id": "7a48dcd2-659b-41ca-84be-fec606973a8a",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-16T09:25:34.7920398+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "a2526ea6-d8c0-43d5-adc4-7f617189b601",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "a416ef8b-7aa9-43f7-a3d6-41ec350b05aa",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "08446a1c-6dde-4f62-8fd0-4630c5752e52",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "90326f13-e0a9-4dec-a64c-ccdb2c86ec56"
},
"suggested_date_start": "2026-11-16T09:25:34.7920398+00:00",
"skill_id": "277c13e3-166a-48e1-8e55-9b40aec48a16",
"skill_code": "sample string 32",
"skill": {
"id": "96244cc5-f2ec-4f05-83c3-d09e6e36bf86",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "22d1f0d6-e652-4687-a822-dc81887b311b",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "71d60a66-3739-4efc-952f-4e0f7cd60fe0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c55ff0c5-1fe5-4f6b-b8e9-c78e2d230157",
"db_currency_id": "6fa7d625-fddf-420a-893e-b643a1594d38",
"db_language_id": "57ec1fa1-3a54-4ca4-9802-00597da772be",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T09:25:34.7731163+00:00"
},
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "effa715d-c20a-4f64-86ee-181e651ca434",
"date_reported_by_company": "2026-11-16T09:25:34.7920398+00:00",
"id2": 36,
"company_id": "1fbc7c32-4882-442b-ba3f-9021e6bb5b9a",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "d8bd91b6-abc8-4db1-bd50-f75455e3135d",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-16T09:25:34.7920398+00:00"
}